//COBCLG   JOB (001),'COBOL COMPILE',CLASS=A,MSGCLASS=X                 00000100
//ISAMLOAD EXEC COBUCLG,REGION.GO=2048K,CPARM1='LOAD,DMAP'              00000243
//COB.SYSIN DD *
       IDENTIFICATION DIVISION.
       PROGRAM-ID. ISAMLIST.
       REMARKS. READS ISAM DATASET AND DISPLAY SOME FIELDS.
       ENVIRONMENT DIVISION.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.
           SELECT ISAM-FILE ASSIGN TO DA-I-SYSUT2
                            RECORD KEY IS IR-STUDENT-ID.
       DATA DIVISION.
       FILE SECTION.
       FD  ISAM-FILE
           RECORDING MODE IS F
           RECORD CONTAINS 100 CHARACTERS
           BLOCK CONTAINS 0 RECORDS
           LABEL RECORDS ARE STANDARD
           DATA RECORD IS ISAM-RECD.
       01  ISAM-RECD.
           02  IR-DELETE-CODE          PIC X(01).
           02  IR-STUDENT-ID           PIC X(09).
           02  IR-LAST-NAME            PIC X(10).
           02  IR-FIRST-NAME           PIC X(11).
           02  IR-MID-INITIAL          PIC X(01).
           02  IR-ADDRESS              PIC X(20).
           02  IR-CITY                 PIC X(20).
           02  IR-STATE                PIC X(02).
           02  IR-ZIPCODE              PIC X(05).
           02  IR-GENDER               PIC X(01).
           02  IR-BIRTHDATE            PIC X(08).
           02  FILLER                  PIC X(12).
       WORKING-STORAGE SECTION.
       01  FLAGS.
           02  END-OF-INPUT-FLAG       PIC X VALUE 'N'.
               88  END-OF-INPUT              VALUE 'Y'.
       PROCEDURE DIVISION.
      *
       MAIN-ROUTINE.
      *
           OPEN INPUT ISAM-FILE.
      *
           PERFORM PROCESS-ROUTINE
              THRU PROCESS-ROUTINE-EXIT
               UNTIL END-OF-INPUT.
      *
           CLOSE ISAM-FILE.
      *
           STOP RUN.
      *
       PROCESS-ROUTINE.
      *
           READ ISAM-FILE
               AT END
                   MOVE 'Y' TO END-OF-INPUT-FLAG.
      *
           IF NOT END-OF-INPUT
               DISPLAY 'STUDENT ID: ' IR-STUDENT-ID
                       ' LAST NAME: ' IR-LAST-NAME
                       ' FIRST NAME: ' IR-FIRST-NAME
                       ' MIDDLE INITIAL: ' IR-MID-INITIAL.
      *
      *
       PROCESS-ROUTINE-EXIT.
           EXIT.
//GO.SYSPRINT DD SYSOUT=*                                               00000400
//GO.SYSOUT   DD SYSOUT=*                                               00000500
//GO.SYSUDUMP DD SYSOUT=*                                               00000600
//GO.SYSUT2 DD DSN=JAY01.STUDENT.MASTER,DISP=OLD,                       00000743
//             AMP='AMORG,RECFM=F'                                      00000843
//IDCAMS   EXEC PGM=IDCAMS,REGION=4096K                                 00000943
//SYSPRINT DD  SYSOUT=*                                                 00001043
//SYSIN    DD  *                                                        00001143
  PRINT INDATASET(JAY01.STUDENT.MASTER) COUNT(10)                       00001243
//                                                                      00001300
